Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
strlcat.c File Reference
`#include "ruby/missing.h"`
`#include <sys/types.h>`
`#include <string.h>`
Include dependency graph for strlcat.c:

Go to the source code of this file.

## Functions
| return (dlen+strlen(s))
| return (dlen+(s-src))

## Variables
size_t char * | dst
const char * | src
size_t | siz
register const char * | s = src
register size_t | n = siz
size_t | dlen = d - dst
| d = '\0'

## Function Documentation

return | ( | dlen+ | strlens | ) |

return | ( | dlen+ | s-src | ) |

## Variable Documentation

* d = '\0'

Definition at line 58 of file strlcat.c.

Referenced by b2d(), big2dbl(), BigDecimal_divremain(), BigDecimal_DoDivmod(), BigDecimal_power(), BigDecimal_remainder(), BigDecimal_to_f(), BigMath_s_exp(), BigMath_s_log(), BN_nnmod(), c_find_fdoy(), c_gregorian_to_yday(), c_jd_to_civil(), c_julian_to_yday(), c_valid_gregorian_p(), c_valid_julian_p(), check_dirname(), copy_fd(), d2b(), d_lite_rshift(), date_s_civil(), date_s_commercial(), date_s_ordinal(), date_s_today(), date_zone_to_diff(), datetime_s_civil(), datetime_s_commercial(), datetime_s_now(), datetime_s_ordinal(), distance_value(), do_select(), double2timeval(), extract_fd(), find_time_t(), fix_mul(), flo_div(), flo_hash(), float_denominator(), float_numerator(), get_c_civil(), get_c_time(), get_s_civil(), GetAddSubPrec(), Init_ossl_rsa(), math_acos(), math_acosh(), math_asin(), math_atanh(), math_frexp(), math_gamma(), math_lgamma(), math_log(), math_log10(), math_log2(), math_sqrt(), md5_process(), memmove(), mime_integrity(), minus_dd(), mt_state(), name_err_mesg_to_str(), pack_pack(), pack_unpack(), parse_dot_cb(), parse_eu_cb(), parse_iso21_cb(), parse_iso22_cb(), parse_iso23_cb(), parse_iso24_cb(), parse_iso25_cb(), parse_iso26_cb(), parse_iso_cb(), parse_jis_cb(), parse_mday_cb(), parse_sla_cb(), parse_us_cb(), parse_vms11_cb(), parse_vms12_cb(), parser_yylex(), r_object0(), random_load(), rb_big2dbl(), rb_big_pow(), rb_big_unpack(), rb_cstr_to_dbl(), rb_float_new(), rb_float_new_in_heap(), rb_float_value(), rb_random_real(), rb_str_format(), rt_complete_frags(), rt_rewrite_frags(), ruby_dtoa(), ruby_float_step(), ruby_hdtoa(), s3e(), scan_digits(), setup_tree(), SHA1_Transform(), SHA256_Transform(), SHA512_Transform(), signbit(), sip_hash_init(), sock_initialize(), st_hash(), systemtime_to_tm(), time_timespec(), time_to_date(), time_to_datetime(), valid_civil_sub(), valid_commercial_sub(), valid_ordinal_sub(), VpDtoV(), w_object(), wdivmod(), and wholenum_p().

dlen = d - dst

Definition at line 54 of file strlcat.c.

Referenced by rb_econv_substr_append().

size_t char* dst

Definition at line 47 of file strlcat.c.

n = siz

Definition at line 53 of file strlcat.c.

while s = src

Definition at line 52 of file strlcat.c.

size_t siz

Definition at line 49 of file strlcat.c.

Referenced by remain_size().

const char* src

Definition at line 48 of file strlcat.c.